package com.company.dynamic.entity;

import com.haulmont.chile.core.annotations.NamePattern;
import com.haulmont.cuba.core.entity.Categorized;
import com.haulmont.cuba.core.entity.Category;
import com.haulmont.cuba.core.entity.StandardEntity;

import javax.persistence.*;

@Table(name = "DYNAMIC_OPPORTUNITY")
@Entity(name = "dynamic_Opportunity")
@NamePattern("%s|label")
public class Opportunity extends StandardEntity implements Categorized {
    private static final long serialVersionUID = -3558435776184170193L;

    @Column(name = "LABEL")
    private String label;

    @ManyToOne(fetch = FetchType.LAZY)
    @JoinColumn(name = "CATEGORY_ID")
    private Category category;

    public Category getCategory() {
        return category;
    }

    public void setCategory(Category category) {
        this.category = category;
    }

    public String getLabel() {
        return label;
    }

    public void setLabel(String label) {
        this.label = label;
    }
}